# persisted_bloc_stream

`PersistedBlocStream` is an extension of
[BlocStream](https://pub.dev/packages/bloc_stream), that adds persistence for
offline caching etc.

## Usage

```dart
class CounterBlocActions {
  static Stream<int> increment(int i, _) async* {
    yield i + 1;
  }

  static Stream<int> decrement(int i, _) async* {
    yield i + 1;
  }
}

class CounterBloc extends PersistedBlocStream<int> {
  CounterBloc() : super(0);

  @override
  int fromJson(json) => json;

  @override
  dynamic toJson(int value) => value;
}

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  PersistedBlocStream.storage = await HiveStorage.build();
  runApp(MyApp());
}
```
